Bug 490461 - File based publishing fails with no traces
File based publishing fails with no traces
Status: CLOSED ERRATA
Product: Dogtag Certificate System
Classification: Community
Component: Publishing (Show other bugs)
unspecified
All Linux
urgent Severity medium
: ---
: ---
Assigned To: Andrew Wnuk
Chandrasekar Kannan
:
Depends On:
Blocks: 443788
  Show dependency treegraph
 
Reported: 2009-03-16 11:10 EDT by Kashyap Chamarthy
Modified: 2015-01-04 18:37 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 19:33:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed fix (2.18 KB, patch)
2009-03-17 17:43 EDT, Andrew Wnuk
no flags Details | Diff

  None (edit)
Description Kashyap Chamarthy 2009-03-16 11:10:00 EDT
Description of problem:

File based publishing does not work. 
Environment - RHEL-5.3;x86; selniux-enforcing;

Version:
pki-ca-8.0.0-11.alpha

Steps to Reproduce:

1. logged into the CA admin console.
2. Enabled Publishing & Default LDAP connection and saved it.
3. Created a publisher ("fielpublishing") with the below config.
     directory - /var/lib/pki-ca/publish
     Filename.b64 - Enabled
4. Disabled all existing rules and created a new rule("rule1") with the below config.
       type- certs
       no predicate(left it  blank)
       mapper - NoMap
       publisher - fielpublishing
5. Saved the configuration, restarted pki-ca.
6. Enrolled a certificate(with UID "ftest1") with  profile "Manual User Dual-Use Certificate Enrollment"

Here, I  could not find the base 64 encoded cert(for "ftest1") when I checked in /var/lib/pki-ca/publish (which has 777 permissions and owner/group as pkiuser) ?? 

  
Actual results:
Nothing is published to the /var/lib/pki-ca/publish directory.

Expected results:
user certificate should be published to /var/lib/pki-ca/publish  directory.

Additional Info:
- Selinux does not provide any error messages when I try to do the above.
- /var/lib/pki-ca/logs/debug does not provide much info.

Please let me know if additional information is required.
Comment 1 Andrew Wnuk 2009-03-17 17:43:58 EDT
Created attachment 335610 [details]
proposed fix
Comment 2 Matthew Harmsen 2009-03-17 17:49:09 EDT
attachment (id=335610) +mharmsen
Comment 3 Andrew Wnuk 2009-03-17 17:54:32 EDT
svn commit pki/dogtag/common/pki-common.spec                           
Sending        pki/dogtag/common/pki-common.spec
Transmitting file data .
Committed revision 301.

svn commit pki/base/common/src/com/netscape/cmscore/ldap/PublisherProcessor.java                      
Sending        pki/base/common/src/com/netscape/cmscore/ldap/PublisherProcessor.java
Transmitting file data .
Committed revision 302.
Comment 4 Kashyap Chamarthy 2009-05-31 10:54:31 EDT
Verified(with build: Tue 19 May09). File based publishing works fine.Both base64 and der encoded certs are published

Note You need to log in before you can comment on or make changes to this bug.